Thumbnailing errors for tiffs
Closed, ResolvedPublic

Description

I see three common problems in http://commons.wikimedia.org/wiki/Category:Tiff_files

1: Thumb of: "Error creating thumbnail: The uploaded file contains errors."
2: Empty thumb with: "Error generating thumbnail

Error creating thumbnail: The resolution of the source file is too large.
No thumbnail will be generated."

3: Thumb of: "Error creating thumbnail: Cannot get metadata from TIFF"

The latter can be solved by Purging the image by hand (dirty/non-existant serialized metadata ?). This last one can probably be fixed easily.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz24984.
TheDJ created this task.Via LegacyAug 30 2010, 3:39 PM
TheDJ added a comment.Via ConduitAug 30 2010, 3:48 PM

Another set of tiffs with trouble is http://commons.wikimedia.org/wiki/Category:Scanned_French_books_in_TIFF

For these it seems as if the dimensions cannot be detected or something.

TheDJ added a comment.Via ConduitAug 30 2010, 4:30 PM

problem 1: tiff_bad_file

Problem of 3, tiff_no_metadata, most likely originates in doTransform()'s $pagesize = PagedTiffImage::getPageSize($meta, $page);
A purge fixes this, because getMetaArray(), uses isMetadataValid(), but doesn't actually blank the previous metadata, instead just ignoring the situation, thus no automatic call of upgradeRow ??

Mglaser added a comment.Via ConduitAug 30 2010, 5:40 PM

I will look at this asap. Some tiff images cannot be rendered by the rendering engine. That's where the error messages come from. Metadata should be invalidated if there are errors and it is supposed to be recreated after some time. however, there have been some changes to that mechanism recently, so I need to do some investigations.

tstarling added a comment.Via ConduitAug 31 2010, 1:11 PM

I downloaded a few images with metadata extraction issues. They were all created by Photoshop. The tiffinfo output in that case is pretty ugly, with tags with line breaks in them. Example:

http://commons.wikimedia.org/wiki/File:Circle-red2.tif

daniel added a comment.Via ConduitAug 31 2010, 2:28 PM

I see hardly any thumbnails rendering in http://commons.wikimedia.org/wiki/Category:Tiff_files - for most files, i still see the blank placeholder image. Looks like rendering isn't triggered. What gives?

daniel added a comment.Via ConduitSep 3 2010, 12:01 PM

partial fix in r72278: metadata processing is no longer aborted when a warning is encountered. This should fix problem no 1 from the original report: "uploaded file contains errors". I have not investigated the need to purge pages with "Cannot get metadata from TIFF".

bzimport added a comment.Via ConduitFeb 11 2011, 6:57 PM

RSYQFIOJGWZA wrote:

Currently, 13 of 104 images (12.5%) in http://commons.wikimedia.org/wiki/Category:TIFF_images (the new name for http://commons.wikimedia.org/wiki/Category:Tiff_files ) are not thumbnailing. :(

MarkAHershberger added a comment.Via ConduitFeb 11 2011, 7:17 PM

At least one of those is a PNG image, though: http://commons.wikimedia.org/wiki/File:A_Leslie_Scott.tif

bzimport added a comment.Via ConduitFeb 12 2011, 3:06 PM

RSYQFIOJGWZA wrote:

(In reply to comment #8)

At least one of those is a PNG image, though:
http://commons.wikimedia.org/wiki/File:A_Leslie_Scott.tif

Thanks, I marked it with "{{duplicate|A Leslie Scott.png}}".

TheDJ added a comment.Via ConduitFeb 12 2011, 3:23 PM

And for most of the others, the source resolution is simply too high. It's just that you don't get a nice html error in the thumbnail that states this (like PNGs do with the 12.5 Mpixel limit). It is visible if you open the thumbnail itself in the browser or in a texteditor.

Only File:London_Interdean_office.tif is rather weird in that it produces no error output at all.

http://commons.wikimedia.org/wiki/Category:Scanned_French_books_in_TIFF is also interesting, it doesn't generate thumbs nor errors there, but as to why, i'm unsure.

bzimport added a comment.Via ConduitFeb 13 2011, 8:53 PM

RSYQFIOJGWZA wrote:

A similar problem is in [[Commons:Category:Hermitage hi-res TIFF files from a .torrent]], where 11 of 15 images (73%) are not thumbnailing. If there is an exactly 12.5 megapixels (12,500,000 pixels) limit on thumnbnailing TIFF images (and/or others besides PNG images), please update [[Commons:Commons:First steps/Quality and description#Size_and_scaling]] to reflect the current reality and consider increasing that five year old limit.

bzimport added a comment.Via ConduitFeb 13 2011, 8:55 PM

RSYQFIOJGWZA wrote:

Let's try those links again:
[[Commons:Category:Hermitage hi-res TIFF files from a .torrent]] and
[[Commons:Commons:First steps/Quality and description#Size_and_scaling]]

tstarling added a comment.Via ConduitFeb 13 2011, 11:53 PM

(In reply to comment #11)

A similar problem is in [[Commons:Category:Hermitage hi-res TIFF files from a
.torrent]], where 11 of 15 images (73%) are not thumbnailing. If there is an
exactly 12.5 megapixels (12,500,000 pixels) limit on thumnbnailing TIFF images
(and/or others besides PNG images), please update [[Commons:Commons:First
steps/Quality and description#Size_and_scaling]] to reflect the current reality
and consider increasing that five year old limit.

It's a wiki, you can edit that page yourself.

The limit will be increased when VIPS support is added, i.e. bug 25990.

bzimport added a comment.Via ConduitFeb 14 2011, 4:07 AM

RSYQFIOJGWZA wrote:

(In reply to comment #13)

(In reply to comment #11)
> A similar problem is in [[Commons:Category:Hermitage hi-res TIFF files from a
> .torrent]], where 11 of 15 images (73%) are not thumbnailing. If there is an
> exactly 12.5 megapixels (12,500,000 pixels) limit on thumbnailing TIFF images
> (and/or others besides PNG images), please update [[Commons:Commons:First
> steps/Quality and description#Size_and_scaling]] to reflect the current reality
> and consider increasing that five year old limit.

It's a wiki, you can edit that page yourself.

Thank you, I did so in http://commons.wikimedia.org/w/index.php?title=Commons:First_steps/Quality_and_description&diff=49759608&oldid=49523951 . What other formats (if any) are subject to that limit?

The limit will be increased when VIPS support is added, i.e. bug 25990.

Thank you, that will be a welcome addition, as 21.1 megapixel cameras like the Canon EOS 5D Mark II are already available off the shelf. When do you expect that addition to take place? Thanks again.

bzimport added a comment.Via ConduitAug 19 2011, 7:12 PM

mhershberger wrote:

Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734

Matanya added a comment.Via ConduitAug 14 2012, 1:22 AM
  • This bug has been marked as a duplicate of bug 25647 ***
Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:25 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:21 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.